## mx-locale 24.1.14

=== debian/changelog ===
mx-locale (24.1.14) mx; urgency=medium

  * Fix crash when pressing OK without selecting any item
  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Wed, 24 Jan 2024 18:25:00 -0500
