## mx-locale 24.11.01

=== debian/changelog ===
mx-locale (24.11.01) mx; urgency=medium

  * adjust about.cpp to launch help when not running root

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 24 Nov 2024 09:36:23 -0500

mx-locale (24.5.02) mx; urgency=medium

  * Add button to "Remove MX manuals for languages other than system default"
  * Rename "System Locale" to "System Language" and move the remove manuals button to that tab

 -- Adrian <adrian@mxlinux.org>  Sun, 12 May 2024 23:22:19 -0400
