## mx-locale 25.08

=== debian/changelog ===
mx-locale (25.08) mx; urgency=medium

  * Add 'Select sale locale for all categories' button

 -- Adrian <adrian@mxlinux.org>  Sun, 03 Aug 2025 11:10:11 -0400

mx-locale (25.4) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 10:40:50 -0400
