=== debian/control ===
Source: mx-locale
Section: admin
Priority: optional
Maintainer: Dolphin Oracle <dolphinoracle@gmail.com>
XSBC-Original-Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-locale
Homepage: https://github.com/MX-Linux/mx-locale

Package: mx-locale
Architecture: any
Depends: locales,
         xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Locale configuration tool for MX Linux
 MX Locale is a graphical utility that allows users to easily
 configure system language and locale settings. It provides
 a user-friendly interface for selecting and applying language
 preferences without requiring manual editing of configuration
 files or command line knowledge.
