## mx-locale 25.08.1

=== debian/changelog ===
mx-locale (25.08.1) mx; urgency=medium

  * Remove 'Set same locale for all categories' button

 -- Adrian <adrian@mxlinux.org>  Tue, 05 Aug 2025 18:55:45 -0400
