## mx-locale 25.10.1

=== debian/changelog ===
mx-locale (25.10.1) mx; urgency=medium

  * Fix: special case removal function for pt-br locale

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Oct 2025 22:50:46 -0400
