=== debian/control ===
--- 
+++ 
@@ -3,11 +3,7 @@
 Priority: optional
 Maintainer: Dolphin Oracle <dolphinoracle@gmail.com>
 XSBC-Original-Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper-compat (= 13),
-               qt6-base-dev,
-               qt6-base-dev-tools,
-               qt6-tools-dev,
-               qt6-tools-dev-tools
+Build-Depends: debhelper-compat (=12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/MX-Linux/mx-locale
 Homepage: https://github.com/MX-Linux/mx-locale
